summaryrefslogtreecommitdiffstats
path: root/solenv/gbuild/uitest-failed-default.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:06:44 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:06:44 +0000
commited5640d8b587fbcfed7dd7967f3de04b37a76f26 (patch)
tree7a5f7c6c9d02226d7471cb3cc8fbbf631b415303 /solenv/gbuild/uitest-failed-default.sh
parentInitial commit. (diff)
downloadlibreoffice-ed5640d8b587fbcfed7dd7967f3de04b37a76f26.tar.xz
libreoffice-ed5640d8b587fbcfed7dd7967f3de04b37a76f26.zip
Adding upstream version 4:7.4.7.upstream/4%7.4.7upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'solenv/gbuild/uitest-failed-default.sh')
-rwxr-xr-xsolenv/gbuild/uitest-failed-default.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/solenv/gbuild/uitest-failed-default.sh b/solenv/gbuild/uitest-failed-default.sh
new file mode 100755
index 000000000..44d229379
--- /dev/null
+++ b/solenv/gbuild/uitest-failed-default.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+# -*- Mode: sh; tab-width: 4; indent-tabs-mode: t -*-
+#
+# This file is part of the LibreOffice project.
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+cat << EOF
+
+Error: a unit test failed:
+
+To rerun just this failed test without all others, use:
+ make UITest_$2
+
+Or to run just a specific test case method, use:
+ make UITest_$2 UITEST_TEST_NAME="Module.ClassName.methodName"
+where
+ Module - the name of the python file (without the .py extension)
+ Class - is the name in the "class Class" declaration
+
+Or to do interactive debugging, run two shells with:
+ LANG=C SAL_USE_VCLPLUGIN=gen make debugrun
+ make gb_UITest_DEBUGRUN=T UITest_$2
+
+The SAL_USE_VCLPLUGIN part is unnecessary if you are running on a kde desktop.
+(The default gtk3 backend has issues with some uitests).
+
+Failing that, put a
+ time.sleep(60)
+in the beginning of the method in the .py file,
+and attach gdb to the running soffice process.
+
+EOF
+
+# In theory, we could add this text, but it really doesn't work very well.
+#
+# Or to do interactive debugging, run two shells with:
+# make debugrun
+# make gb_UITest_DEBUGRUN=T UITest_$2
+
+exit 1
+
+# vim: set et sw=4: